Bug 222844 - ip.sh does not honour log level in clurgmgrd
ip.sh does not honour log level in clurgmgrd
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: rgmanager (Show other bugs)
4
All Linux
high Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-16 10:07 EST by Bryn M. Reeves
Modified: 2009-04-16 15:52 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007:149vim
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-21 12:19:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Updated ocf-shellfuncs script provided for testing (5.00 KB, text/plain)
2007-01-16 10:33 EST, Bryn M. Reeves
no flags Details

  None (edit)
Description Bryn M. Reeves 2007-01-16 10:07:15 EST
Description of problem:
The ip.sh script in clurgmgrd does not honour log level settings from
cluster.conf or /etc/sysconfig/cluster - resulting in debug messages flooding
into the logs regardless of user configuration.

Lon is already aware of the problem and has provided an updated script for
testing. User testing has confirmed the update addresses the problem.

How reproducible:
100%

Steps to Reproduce:
1. Configure cluster.conf like this:
<rm log_facility="local3" log_level="4">

2. Start cluster services

  
Actual results:
Observe debug & info level log messages in cluster logs:
Dec  5 14:14:49 nodefoo0 clurgmgrd: [3278]: <debug> Checking 192.201.167.152,
Level 0
Dec  5 14:14:49 nodefoo0 clurgmgrd: [3278]: <debug> 192.201.167.154 present on bond0
Dec  5 14:14:49 nodefoo0 clurgmgrd: [3278]: <debug> 192.201.167.7 present on eth0
Dec  5 14:14:49 nodefoo0 clurgmgrd: [3278]: <debug> 192.201.167.152 present on bond0
Dec  5 14:14:49 nodefoo0 clurgmgrd: [3278]: <debug> Checking 192.201.167.155,
Level 10
Dec  5 14:14:49 nodefoo0 clurgmgrd: [3278]: <debug> Link for bond0: Detected
Dec  5 14:14:49 nodefoo0 clurgmgrd: [3278]: <debug> Link for eth0: Detected


Expected results:
Log level parameters are respected.
Comment 1 Bryn M. Reeves 2007-01-16 10:33:25 EST
Created attachment 145694 [details]
Updated ocf-shellfuncs script provided for testing

These changes were tested by the reporter and confirmed to fix the problem.
Comment 2 Lon Hohberger 2007-01-23 10:28:04 EST
Patches in CVS
Comment 6 Issue Tracker 2007-07-12 09:26:04 EDT
Hello Anders,

I'm closing this issue.
Thank you for your help.

Regards,
Artem

Internal Status set to 'Resolved'
Status set to: Closed by Client

This event sent from IssueTracker by Artem.Zaitsev 
 issue 111094

Note You need to log in before you can comment on or make changes to this bug.